cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/notes/e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b/files/9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_components.get_component_object_note_file(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.getComponentObjectNoteFile(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->getComponentObjectNoteFile(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectNoteFile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectNoteFile> response = client.customComponents().getComponentObjectNoteFile(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.GetComponentObjectNoteFileAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.getComponentObjectNoteFile(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().GetComponentObjectNoteFile(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", "e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b", "9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"file": {
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
}Custom components
Retrieve a file of a component object's note
Returns the details of one file attached to a note, under file.
GET
/
components
/
{component_uuid}
/
objects
/
{component_object_id}
/
notes
/
{note_id}
/
files
/
{file_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e/notes/e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b/files/9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_components.get_component_object_note_file(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d",
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.getComponentObjectNoteFile(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->getComponentObjectNoteFile(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectNoteFile;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectNoteFile> response = client.customComponents().getComponentObjectNoteFile(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.GetComponentObjectNoteFileAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e",
"e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b",
"9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.getComponentObjectNoteFile(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
'e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b',
'9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().GetComponentObjectNoteFile(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", "e7f9a1b3c5d74e9f8a2b4c6d8e0f1a3b", "9b2e4c6a-1d3f-4a5b-8c7d-0e1f2a3b4c5d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"file": {
"uuid": "<string>",
"filename": "<string>",
"content_type": "<string>",
"size": 123,
"href": "<string>"
}
}Reads one attachment of the note by its
uuid, with its file name, content type, size and link.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
The component object's id, as returned when it is created or listed.
The note's id, as returned when it is created or listed.
The attachment's uuid, from the note's attachments.
Response
200 - application/json
The file's details, under file.
Show child attributes
Show child attributes